Last Comment Bug 857049 - Port Twitter API v1.1 from Instantbird to c-c
: Port Twitter API v1.1 from Instantbird to c-c
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Patrick Cloke [:clokep]
:
Mentors:
https://dev.twitter.com/blog/api-v1-r...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-02 06:08 PDT by Patrick Cloke [:clokep]
Modified: 2013-05-09 17:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed
21+
fixed


Attachments
Patch (16.94 KB, patch)
2013-04-02 19:35 PDT, Patrick Cloke [:clokep]
florian: review+
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17-
Details | Diff | Splinter Review

Description Patrick Cloke [:clokep] 2013-04-02 06:08:49 PDT
See also bug 842183 and friends.

API v1 of twitter is being retired on May 7th [1]. Instantbird has been updated to v1.1 [2] (the newest version), these changes should be ported to Thunderbird (and probably into the newest version as possible, beta or aurora?) After this date, users of Thunderbird will be unable to connect to Twitter.

This also requires a change to http.jsm. (mconley has already tested this change and approved it.)

What is the status of Thunderbird releases? How can we get this out quickly? Should this be included in an ESR branch?

[1] https://dev.twitter.com/blog/api-v1-retirement-final-dates
[2] https://bugzilla.instantbird.org/show_bug.cgi?id=1890
Comment 1 Patrick Cloke [:clokep] 2013-04-02 19:35:23 PDT
Created attachment 732631 [details] [diff] [review]
Patch

This is a port of the Instantbird changeset [1], with the http.jsm changes also applied to mail/base/modules/http.jsm. Unfortunately I didn't have a c-c build that was anywhere close to up to date and this is going to take a while to build...so this is currently "untested" (as part of TB, IB nightlies have been running with a similar patch for a while), but will be tested as soon as I can get my build running.

[1] http://hg.instantbird.org/instantbird/rev/743ce473ff0a
Comment 2 Florian Quèze [:florian] [:flo] 2013-04-05 15:21:31 PDT
Comment on attachment 732631 [details] [diff] [review]
Patch

rs=me for the port from the Instantbird repository. The code has already been r+'ed by the relevant chat/ peers (including me) in https://bugzilla.instantbird.org/show_bug.cgi?id=1890.

Would still be good to have Mike's review for mail/base/modules/http.jsm (he only gave feedback+ in the Instantbird bug).
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2013-04-08 22:48:37 PDT
Comment on attachment 732631 [details] [diff] [review]
Patch

Review of attachment 732631 [details] [diff] [review]:
-----------------------------------------------------------------

Yeah, this is totally fine. Let's roll with this.
Comment 4 Florian Quèze [:florian] [:flo] 2013-04-09 01:43:18 PDT
https://hg.mozilla.org/comm-central/rev/d39a8d280ac3
Comment 5 Mark Banner (:standard8) 2013-04-09 04:21:09 PDT
Comment on attachment 732631 [details] [diff] [review]
Patch

[Triage Comment]
Ok, lets get this on Aurora and Beta for some accelerated testing as we'll need this soon.
Comment 7 Mark Banner (:standard8) 2013-05-01 02:50:45 PDT
Comment on attachment 732631 [details] [diff] [review]
Patch

[Triage Comment]
I've not heard of any issues, so lets push forward to ESR as well so that we're ready.
Comment 8 Mark Banner (:standard8) 2013-05-01 03:23:51 PDT
Comment on attachment 732631 [details] [diff] [review]
Patch

Unfortunately this patch doesn't apply cleanly to comm-esr17, can someone take a look at doing a patch before early next week? Thanks.
Comment 9 Mark Banner (:standard8) 2013-05-09 03:28:21 PDT
Ping, has anyone had time to do this?
Comment 10 Mark Banner (:standard8) 2013-05-09 13:22:06 PDT
Ok, I think I've unbitrotted this correctly and pushed it here:

https://hg.mozilla.org/releases/comm-esr17/rev/a63b6053d11c

If poss, please review/try it out, I'll be trying it in a bit once the builds complete.
Comment 11 Mark Banner (:standard8) 2013-05-09 14:43:27 PDT
I've tested as best as I can, and I still seem to receive tweets and things, so hopefully the merge was successful. If others can please test esr branch before we release on Tuesday, that'd be really useful.
Comment 12 Patrick Cloke [:clokep] 2013-05-09 17:58:33 PDT
(In reply to Mark Banner (:standard8) from comment #10)
> Ok, I think I've unbitrotted this correctly and pushed it here:
> 
> https://hg.mozilla.org/releases/comm-esr17/rev/a63b6053d11c
> 
> If poss, please review/try it out, I'll be trying it in a bit once the
> builds complete.

This looks fine! Thanks for doing this. Sorry I couldn't get to this earlier, I was traveling without a computer for the past two weeks.

Note You need to log in before you can comment on or make changes to this bug.